package com.example.orderly.ui.auth

import androidx.navigation.ActionOnlyNavDirections
import androidx.navigation.NavDirections
import com.example.orderly.NavGraphDirections
import com.example.orderly.R

public class WelcomeFragmentDirections private constructor() {
  public companion object {
    public fun actionWelcomeFragmentToLoginFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_welcomeFragment_to_loginFragment)

    public fun actionWelcomeFragmentToRegisterFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_welcomeFragment_to_registerFragment)

    public fun actionGlobalWelcomeFragment(): NavDirections =
        NavGraphDirections.actionGlobalWelcomeFragment()
  }
}
